oracle.pgx.config

## Class FileGraphConfigBuilder

- java.lang.Object
- - oracle.pgx.config.AbstractGraphConfigBuilder<FileGraphConfig>
  - - oracle.pgx.config.FileGraphConfigBuilder

-     public class FileGraphConfigBuilder
      extends AbstractGraphConfigBuilder<FileGraphConfig>

  A graph configuration builder for file-based graph configurations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileGraphConfigBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileGraphConfigBuilder` | `addEdgeProperty(String name, PropertyType type)`
    `FileGraphConfigBuilder` | `addEdgeProperty(String name, PropertyType type, Object defaultVal)` Adds an edge property to this builder
    `FileGraphConfigBuilder` | `addNodeProperty(String name, PropertyType type)`
    `FileGraphConfigBuilder` | `addVertexProperty(String name, PropertyType type, Object defaultVal)` Add a vertex property to this builder
    `static FileGraphConfigBuilder` | `forFormat(Format format)` Creates a new file graph configuration builder for a given file format.
    `FileGraphConfigBuilder` | `setCreateEdgeIdIndex(boolean create)` Sets the create edge id index flag.
    `FileGraphConfigBuilder` | `setCreateEdgeIdMapping(boolean create)` Sets the create edge id mapping.
    `FileGraphConfigBuilder` | `setCreateVertexIdIndex(boolean create)` Sets the create vertex ID index flag.
    `FileGraphConfigBuilder` | `setCreateVertexIdMapping(boolean create)` Sets the create vertex id mapping flag.
    `FileGraphConfigBuilder` | `setDateFormat(String dateFormat)` Sets the date format used for loading and storing the graph.
    `FileGraphConfigBuilder` | `setEdgeExtension(String edgeExtension)` Sets the edge file extension.
    `FileGraphConfigBuilder` | `setErrorHandlingOnMissedPropKey(OnMismatch action)` Sets the error handling on missed prop key.
    `FileGraphConfigBuilder` | `setErrorHandlingOnPropConversion(OnMismatch action)` Sets the error handling on prop conversion.
    `FileGraphConfigBuilder` | `setErrorHandlingOnTypeMismatch(OnMismatch action)` Sets the error handling on type mismatch.
    `FileGraphConfigBuilder` | `setFormat(Format format)` Sets the file format.
    `FileGraphConfigBuilder` | `setNodeExtension(String nodeExtension)` Sets the node file extension.
    `FileGraphConfigBuilder` | `setNodeIdType(IdType nodeIdType)` Alias for `setVertexIdType(IdType)`
    `FileGraphConfigBuilder` | `setRefreshIntervalMs(int milliseconds)` Sets the refresh interval in milliseconds
    `FileGraphConfigBuilder` | `setSeparator(String separator)` Sets the separator.
    `FileGraphConfigBuilder` | `setUri(String uri)` Sets the unified resource identifier (URI) string pointing to a file with graph data.
    `FileGraphConfigBuilder` | `setVertexIdType(IdType vertexIdType)` Sets the vertex id type.

    - ### Methods inherited from class oracle.pgx.config.AbstractGraphConfigBuilder

      `addNodeProperty, build`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FileGraphConfigBuilder

          public FileGraphConfigBuilder()

  - ### Method Detail

    - #### addEdgeProperty

          public FileGraphConfigBuilder addEdgeProperty(String name,
                                               PropertyType type)

    - #### addEdgeProperty

          public FileGraphConfigBuilder addEdgeProperty(String name,
                                               PropertyType type,
                                               Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Adds an edge property to this builder
      Overrides:
        `addEdgeProperty` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `name` - the name of the edge property
        `type` - the type of the edge property
        `defaultVal` - the default value of the edge property (can be `null`)
      Returns:
        this builder

    - #### addNodeProperty

          public FileGraphConfigBuilder addNodeProperty(String name,
                                               PropertyType type)

    - #### addVertexProperty

          public FileGraphConfigBuilder addVertexProperty(String name,
                                                 PropertyType type,
                                                 Object defaultVal)

      Description copied from class: `AbstractGraphConfigBuilder`
      Add a vertex property to this builder
      Overrides:
        `addVertexProperty` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `name` - the name of the vertex property
        `type` - the type of the vertex property
        `defaultVal` - the default value of the vertex property (can be `null`)
      Returns:
        this builder

    - #### forFormat

          public static FileGraphConfigBuilder forFormat(Format format)

      Creates a new file graph configuration builder for a given file format.
      Parameters:
        `format` - the file format.

    - #### setCreateEdgeIdIndex

          public FileGraphConfigBuilder setCreateEdgeIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id index flag.
      Overrides:
        `setCreateEdgeIdIndex` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateEdgeIdMapping

          public FileGraphConfigBuilder setCreateEdgeIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create edge id mapping.
      Overrides:
        `setCreateEdgeIdMapping` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `create` - if `true`, a edge ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdIndex

          public FileGraphConfigBuilder setCreateVertexIdIndex(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex ID index flag.
      Overrides:
        `setCreateVertexIdIndex` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID index is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setCreateVertexIdMapping

          public FileGraphConfigBuilder setCreateVertexIdMapping(boolean create)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the create vertex id mapping flag.
      Overrides:
        `setCreateVertexIdMapping` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `create` - if `true`, a vertex ID mapping is created
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setDateFormat

          public FileGraphConfigBuilder setDateFormat(String dateFormat)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the date format used for loading and storing the graph.
      Overrides:
        `setDateFormat` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `dateFormat` - the date format
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setEdgeExtension

          public FileGraphConfigBuilder setEdgeExtension(String edgeExtension)

      Sets the edge file extension.
      Parameters:
        `edgeExtension` - the edge file extension
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnMissedPropKey

          public FileGraphConfigBuilder setErrorHandlingOnMissedPropKey(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on missed prop key.
      Overrides:
        `setErrorHandlingOnMissedPropKey` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnPropConversion

          public FileGraphConfigBuilder setErrorHandlingOnPropConversion(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on prop conversion.
      Overrides:
        `setErrorHandlingOnPropConversion` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setErrorHandlingOnTypeMismatch

          public FileGraphConfigBuilder setErrorHandlingOnTypeMismatch(OnMismatch action)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the error handling on type mismatch.
      Overrides:
        `setErrorHandlingOnTypeMismatch` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `action` - the action
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setFormat

          public FileGraphConfigBuilder setFormat(Format format)

      Sets the file format.
      Parameters:
        `format` - the format
      Returns:
        this builder

    - #### setNodeExtension

          public FileGraphConfigBuilder setNodeExtension(String nodeExtension)

      Sets the node file extension.
      Parameters:
        `nodeExtension` - the node file extension
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setNodeIdType

          public FileGraphConfigBuilder setNodeIdType(IdType nodeIdType)

      Alias for `setVertexIdType(IdType)`
      Parameters:
        `nodeIdType` -
      Returns:

    - #### setRefreshIntervalMs

          public FileGraphConfigBuilder setRefreshIntervalMs(int milliseconds)

      Description copied from class: `AbstractGraphConfigBuilder`
      Sets the refresh interval in milliseconds
      Overrides:
        `setRefreshIntervalMs` in class `AbstractGraphConfigBuilder<FileGraphConfig>`
      Parameters:
        `milliseconds` - the interval in milliseconds
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this flag`

    - #### setSeparator

          public FileGraphConfigBuilder setSeparator(String separator)

      Sets the separator.
      Parameters:
        `separator` - the separator
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

    - #### setUri

          public FileGraphConfigBuilder setUri(String uri)

      Sets the unified resource identifier (URI) string pointing to a file with graph data.
      Parameters:
        `uri` - the uri
      Returns:
        this builder

    - #### setVertexIdType

          public FileGraphConfigBuilder setVertexIdType(IdType vertexIdType)

      Sets the vertex id type.
      Parameters:
        `vertexIdType` - the vertex id type
      Returns:
        this builder
      See Also:
        `graph configuration documentation for details about the effects and default of this setting`

Copyright © 2015. All rights reserved.